Package org.apache.torque.util.functions

# Class MaxTest

java.lang.Object
junit.framework.Assert
junit.framework.TestCase
org.apache.torque.util.functions.MaxTest

All Implemented Interfaces:
  `junit.framework.Test`

public class MaxTest extends junit.framework.TestCase
Tests the Max class

Version:
  $Id: MaxTest.java 1448414 2013-02-20 21:06:35Z tfischer $

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MaxTest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `testMax()`
  Tests the max constructor with a column returns the correct SQL.
  `void`
  `testMaxFromString()`
  Tests the max constructor with a column returns the correct SQL.
  `void`
  `testMaxWithDistinct()`
  Tests the max constructor with distinct returns the correct SQL.
  `void`
  `testSetFunction()`
  tests that setFunction throws a

  ### Methods inherited from class junit.framework.TestCase

  `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MaxTest

    public MaxTest()

- ## Method Details

  - ### testMax

    public void testMax()
    Tests the max constructor with a column returns the correct SQL.

  - ### testMaxFromString

    public void testMaxFromString()
    Tests the max constructor with a column returns the correct SQL.

  - ### testMaxWithDistinct

    public void testMaxWithDistinct()
    Tests the max constructor with distinct returns the correct SQL.

  - ### testSetFunction

    public void testSetFunction()
    tests that setFunction throws a